RESTinio

Public Types | List of all members
restinio::utils::metaprogramming::impl::head_of< T, Rest > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types
using | type = T

## Detailed Description

template<typename T, typename... Rest>
struct restinio::utils::metaprogramming::impl::head_of< T, Rest >

Definition at line 63 of file metaprogramming.hpp.

## Member Typedef Documentation

## ◆ type

template<typename T , typename... Rest>

using restinio::utils::metaprogramming::impl::head_of< T, Rest >::type = T

Definition at line 65 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp